import React from 'react';
import PropTypes from 'prop-types';
import { field } from '../prop-types';
import ProxyField from '../ProxyField';
var baseClass = 'sui-FormBuilder-FieldSet';

var FieldSet = function FieldSet(_ref) {
  var fieldset = _ref.fieldset,
      tabIndex = _ref.tabIndex,
      onChange = _ref.onChange,
      onBlur = _ref.onBlur,
      fieldSize = _ref.fieldSize,
      errors = _ref.errors,
      alerts = _ref.alerts,
      renderer = _ref.renderer;
  var _fieldset$fields = fieldset.fields,
      fields = _fieldset$fields === void 0 ? [] : _fieldset$fields,
      label = fieldset.label;

  if (fieldset.hidden) {
    return null;
  }

  return React.createElement("fieldset", {
    className: baseClass + " " + baseClass + "-" + fieldset.id
  }, label && React.createElement("legend", null, React.createElement("span", null, label)), React.createElement("div", {
    className: baseClass + "Container"
  }, fields.map(function (field, index) {
    return React.createElement(ProxyField, {
      onChange: onChange,
      onBlur: onBlur,
      key: field.id,
      field: field,
      tabIndex: tabIndex + index * 0.1,
      fieldSize: fieldSize,
      errors: errors,
      alerts: alerts,
      renderer: renderer
    });
  })));
};

FieldSet.displayName = 'FieldSet';
export default FieldSet;